Bug 708554 - Review Request: umph - Command line tool for parsing video links from Youtube feeds
Summary: Review Request: umph - Command line tool for parsing video links from Youtube...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 708711
TreeView+ depends on / blocked
 
Reported: 2011-05-27 23:56 UTC by Nicoleau Fabien
Modified: 2011-08-28 05:32 UTC (History)
3 users (show)

Fixed In Version: umph-0.1.8-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-26 18:53:57 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nicoleau Fabien 2011-05-27 23:56:38 UTC
Spec URL: http://rpms.nicoleau-fabien.net/SPECS/umph.spec
SRPM URL: http://rpms.nicoleau-fabien.net/SRPMS/umph-0.1.8-1.fc15.src.rpm
Description :
umph is a command line tool for parsing video links from Youtube feeds,
such as playlists, favorites and uploads. The parsed video links are printed
to the standard output each separated with a newline. 

rpmlit is silent.
Package builds on koji : 
http://koji.fedoraproject.org/koji/taskinfo?taskID=3097087

Comment 1 Thomas Spura 2011-08-14 21:11:49 UTC
Review:
- afaik BR/R are ok (don't know perl, so can't be absolutely sure)
- macros everywhere
- arch ok
- %build ok
- %doc ok
- rpmlint ok:
$ rpmlint ~/rpmbuild/RPMS/noarch/umph-0.1.8-1.fc15.noarch.rpm ~/rpmbuild/SRPMS/umph-0.1.8-1.fc15.src.rpm 
umph.noarch: W: spelling-error %description -l en_US playlists -> play lists, play-lists, stylists
umph.src: W: spelling-error %description -l en_US playlists -> play lists, play-lists, stylists
umph.src: W: invalid-url Source0: http://umph.googlecode.com/files/umph-0.1.8.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

All false positives, downloading with spectool worked. Is a correct url...


Needswork:
- License is wrong: it's not GPLv3 (=GPLv3 only), it's: GPLv3+
- same issue like with dependant package:
  compression of makefile could change, please use %{name}.1.*

Please fix the 2 needswork and it's:

##############################################################

APPROVED

Comment 2 Nicoleau Fabien 2011-08-15 00:02:47 UTC
Thank you for the review. I'll fix the licence and use %{name}.1.* before the import.

New Package SCM Request
=======================
Package Name: umph
Short Description: Command line tool for parsing video links from Youtube feeds
Owners: eponyme
Branches: f15
InitialCC:

Comment 3 Gwyn Ciesla 2011-08-16 12:14:20 UTC
Git done (by process-git-requests).

Added f16.

Comment 4 Fedora Update System 2011-08-17 20:19:11 UTC
umph-0.1.8-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/umph-0.1.8-2.fc15

Comment 5 Fedora Update System 2011-08-17 20:20:48 UTC
umph-0.1.8-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/umph-0.1.8-2.fc16

Comment 6 Fedora Update System 2011-08-18 02:27:31 UTC
umph-0.1.8-2.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2011-08-26 18:53:51 UTC
umph-0.1.8-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 8 Fedora Update System 2011-08-28 05:32:20 UTC
umph-0.1.8-2.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.